#include <vector>
#include <iostream>
#define vi vector<int>
#define ll long long
#define repeat(n) for (int i = 0; i < n; i++)
using namespace std;

ll resi_niz(vi niz) {
	vi pozicije_nula; pozicije_nula.reserve(niz.size());
	for (int i = 0; i < niz.size(); i++){
		if (niz[i] == 0){
			pozicije_nula.push_back(i);
		}
	}
	if (pozicije_nula.empty()){
		return 0;
	}
	ll ukupno_vreme = 0;
	int nule_indexer = 0;
	for (int i = 0; i < niz.size(); i++){
		while (niz[i] > 1) {
			niz[i]--;
			ukupno_vreme += abs(i - pozicije_nula[nule_indexer++]);
		}
	}
	return ukupno_vreme;
}

int main() {
	ios::sync_with_stdio(false);
	cin.tie(NULL);
	int n;
	cin >> n;
	vi zlatnika_u_kolonama = vi(n), zlatnika_u_redovima = vi(n);
	int kolona, red;
	repeat(n) {
		cin >> red >> kolona;
		zlatnika_u_kolonama[kolona - 1]++;
		zlatnika_u_redovima[red - 1]++;
	}
	ll ukupno_vreme = resi_niz(zlatnika_u_kolonama) + resi_niz(zlatnika_u_redovima);
	cout << ukupno_vreme;
	return 0;
}